clear all
close all

%Variables
C=1/0.33;  %constante di taratura espressa in Volt
O=1.65;  % valore di off-set prelevato dal datasheet
e_lin=(0.003*6);
acc_value=load('Acc_data.txt');

figure
plot(acc_value(:,1),acc_value(:,2:4))
title(' Grafici andamento Uscite Accelerometro')
xlabel('Tempo [s]')
ylabel('Uscite Sensore [V]')
legend('Asse X', 'Asse Y','Asse Z')


y1=acc_value(:,2); % asse X accelerometro
y2=acc_value(:,3); % asse Y accelerometro
y3=acc_value(:,4); % asse Z accelerometro

% Funzione e curva di taratura

x1=C*(y1-O);
x2=C*(y2-O);
x3=C*(y3-O);

figure
plot(y1,x1)
hold on
plot(y1,(x1+e_lin),'*r')
plot(y1,(x1-e_lin),'*r')
title('Curva e Funzione di Taratura asse X')
xlabel(' Uscita Sensore [Volt]')
ylabel(' Misurando=Accelerazione lungo X [g]')
figure
plot(y2,x2)
hold on
plot(y2,(x2+e_lin),'*r')
plot(y2,(x2-e_lin),'*r')
title('Curva e Funzione di Taratura asse Y')
xlabel(' Uscita Sensore [Volt]')
ylabel(' Misurando=Accelerazione lungo Y [g]')

figure
plot(y3,x3)
hold on
plot(y3,(x3+e_lin),'*r')
plot(y3,(x3-e_lin),'*r')
title('Curva di Taratura asse Z')
xlabel(' Uscita Sensore [Volt]')
ylabel(' Misurando=Accelerazione lungo Z [g]')


